Subject: Re: rxvt and command prompt
From: Robert White <[email-masked]>
To: [email-masked]
Date: Sun, 23 Dec 2001 20:24:27 +0000

Christopher

Thanks for replying.

Can you elaborate please?

Is there a way I can get isql to recognise rxvt's pyts?

Thanks

Rob

Christopher Faylor wrote:

> On Sun, Dec 23, 2001 at 09:57:04AM +0000, Robert White wrote:
> >All
> >
> >I have a problem using rxvt on the Windows 98 platform. I use rxvt over
> >the command prompt because it gives me a useful scrollback facility.
> >
> >I do a lot of database administration on SYBASE and Microsoft servers,
> >and these come bundled with a utility called isql.
> >
> >The problem I have is in the way this application works with rxvt.
> >Usually when you open an isql session you get a prompt like
> >
> >1>
> >
> >However on rxvt, this is not the case, you get nothing. Although if you
> >run a command the results are returned, but without the prompt again.
> >
> >This is not due to the cygwin environment, because if I run cygwin in a
> >command shell, isql works fine.
>
> This is an incorrect assumption.  rxvt is using ptys.  Obviously  isql
> isn't recognizing cygwin's ptys.
>
> cgf
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/